Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00392 Sound Minor Have not tried Jan 29, 2008, 06:58 Apr 24, 2020, 05:43
Tester SportsDude View Status Public Platform
Assigned To Kale Resolution Fixed OS
Status [?] Resolved Driver cischeat.cpp
Version 0.97 Fixed in Version 0.199 Build
Summary 00392: f1gpstar: During attract mode, the "orchestral hits" are played off-key.
Description During attract mode, the "orchestral hits" are played off-key.
In M1, these play at the proper tone. They did in MAME until sometime; 0.97 is the first time I've seen this occur. For reference, these first occur 6 seconds into the attract mode screen which features the close-up of the fake Benetton car.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems f1gpstar
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.12059
FMecha - aka ArtLine
Tester
Oct 9, 2015, 21:10
Can't find any PCB footage of f1gpstar with the song playing, but I found this for f1gpstr2 instead. Does it sound different to one in f1gpstar?


(Truth by T-Square; begins at 0:55)
User avatar
No.17563
MetalGod
Senior Tester
Apr 23, 2020, 07:06
edited on: Apr 23, 2020, 08:20
Reference material:


MAME 0.220. The "orchestral hits" sound the same as in the original hardware



MAME 0.102 (the closest version I have to 0.97 when this issue was reported)
User avatar
No.17564
MetalGod
Senior Tester
Apr 23, 2020, 08:19
edited on: Apr 24, 2020, 05:43
It was fixed in MAME 0.199
- 0.199: Changed YM2151 sound clock speed to 3.5MHz and the 2x MSM6295 to 4MHz.

I've managed to find a proper rom to test and I can 100% confirm it was fixed in MAME 0.199. But I don't know who fixed it... maybe Kale who also changed this in the cischeat driver in version 0.199:
- 0.199: Moved sound irq into YM irqhandler.

Somebody correct this if I'm wrong